Chart-1.9.5: A library for generating 2D Charts and Plots

Copyright | (c) Tim Docker 2006 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.Chart.Plot.ErrBars

Contents

- Accessors

Description

Plot series of points with associated error bars.

Synopsis

- data PlotErrBars x y = PlotErrBars {
  - _plot_errbars_title :: String
  - _plot_errbars_line_style :: LineStyle
  - _plot_errbars_tick_length :: Double
  - _plot_errbars_overhang :: Double
  - _plot_errbars_values :: [ErrPoint x y]
  }
- data ErrPoint x y = ErrPoint {
  - ep_x :: ErrValue x
  - ep_y :: ErrValue y
  }
- data ErrValue x = ErrValue {
  - ev_low :: x
  - ev_best :: x
  - ev_high :: x
  }
- symErrPoint :: (Num a, Num b) => a -> b -> a -> b -> ErrPoint a b
- plot_errbars_title :: forall x y f. Functor f => (String -> f String) -> PlotErrBars x y -> f (PlotErrBars x y)
- plot_errbars_line_style :: forall x y f. Functor f => (LineStyle -> f LineStyle) -> PlotErrBars x y -> f (PlotErrBars x y)
- plot_errbars_tick_length :: forall x y f. Functor f => (Double -> f Double) -> PlotErrBars x y -> f (PlotErrBars x y)
- plot_errbars_overhang :: forall x y f. Functor f => (Double -> f Double) -> PlotErrBars x y -> f (PlotErrBars x y)
- plot_errbars_values :: forall x1 y1 x2 y2 f. Functor f => ([ErrPoint x1 y1] -> f [ErrPoint x2 y2]) -> PlotErrBars x1 y1 -> f (PlotErrBars x2 y2)

# Documentation

data PlotErrBars x y #

Value defining a series of error intervals, and a style in which to render them.

Constructors

PlotErrBars |
Fields _plot_errbars_title :: String _plot_errbars_line_style :: LineStyle _plot_errbars_tick_length :: Double _plot_errbars_overhang :: Double _plot_errbars_values :: [ErrPoint x y]

#### Instances

Instances details

ToPlot PlotErrBars # |
Instance details Defined in Graphics.Rendering.Chart.Plot.ErrBars Methods toPlot :: PlotErrBars x y -> Plot x y #
Default (PlotErrBars x y) # |
Instance details Defined in Graphics.Rendering.Chart.Plot.ErrBars Methods def :: PlotErrBars x y #

data ErrPoint x y #

Constructors

ErrPoint |
Fields ep_x :: ErrValue x ep_y :: ErrValue y

#### Instances

Instances details

(Show x, Show y) => Show (ErrPoint x y) # |
Instance details Defined in Graphics.Rendering.Chart.Plot.ErrBars Methods showsPrec :: Int -> ErrPoint x y -> ShowS # show :: ErrPoint x y -> String # showList :: [ErrPoint x y] -> ShowS #

data ErrValue x #

Value for holding a point with associated error bounds for each axis.

Constructors

ErrValue |
Fields ev_low :: x ev_best :: x ev_high :: x

#### Instances

Instances details

Show x => Show (ErrValue x) # |
Instance details Defined in Graphics.Rendering.Chart.Plot.ErrBars Methods showsPrec :: Int -> ErrValue x -> ShowS # show :: ErrValue x -> String # showList :: [ErrValue x] -> ShowS #

symErrPoint :: (Num a, Num b) => a -> b -> a -> b -> ErrPoint a b #

When the error is symmetric, we can simply pass in dx for the error.

# Accessors

These accessors are generated by template haskell

plot_errbars_title :: forall x y f. Functor f => (String -> f String) -> PlotErrBars x y -> f (PlotErrBars x y) #

plot_errbars_line_style :: forall x y f. Functor f => (LineStyle -> f LineStyle) -> PlotErrBars x y -> f (PlotErrBars x y) #

plot_errbars_tick_length :: forall x y f. Functor f => (Double -> f Double) -> PlotErrBars x y -> f (PlotErrBars x y) #

plot_errbars_overhang :: forall x y f. Functor f => (Double -> f Double) -> PlotErrBars x y -> f (PlotErrBars x y) #

plot_errbars_values :: forall x1 y1 x2 y2 f. Functor f => ([ErrPoint x1 y1] -> f [ErrPoint x2 y2]) -> PlotErrBars x1 y1 -> f (PlotErrBars x2 y2) #